# ipmi

#### Table of Contents

1. [Overview](#overview)
2. [Module Description](#module-description)
3. [Setup](#setup)
    * [What IPMI affects](#what-ipmi-affects)
    * [Beginning with IPMI](#beginning-with-ipmi)
4. [Usage](#usage)
5. [Reference](#reference)
    * [Classes](#classes)
    * [Defined types](#defined-types)
    * [Parameters](#parameters)
6. [Limitations](#limitations)
7. [Development](#development)
8. [License](#license)



## Overview

The ipmi module provide a simple way to install IPMI service on a machine.
You also can configure user and device.

## Module Description

The module install all needed packages and load the modules to be able to
manage the BMC with a Debian family system.

## Setup

### What IPMI affects

* Package for IPMI
* Kernel modules at boot time

### Beginning with IPMI

To begin using ipmi with default parameters, declare the main class with:
```
include ipmi
```

for upgrading, you may wish to include an additional section here: Upgrading
(For an example, see http://forge.puppetlabs.com/puppetlabs/firewall).

## Usage

Put the classes, types, and resources for customizing, configuring, and doing
the fancy stuff with your module here.

## Reference

### Classes

* `ipmi`: Main class, load all subclasses to install and configure IPMI.

### Defined types

* `ipmi::ressource::channel`: Manage IPMI's channel configuration (only lan right now).

```
ipmi::ressource::channel { '1':
  ipaddr  => '192.168.100.1',
  netmask => '255.255.255.0',
}
```

* `ipmi::ressource::user`: Manage IPMI's user (can't create a new one):

```
ipmi::ressource::user { 'admin':
  password => 'my_new_password',
}
```

### Parameters

#### ipmi

* `pkg_ensure`: What to set the packages to. Can be 'present', 'absent' or 'version'. Defaults to 'present'.
* `pkg_name`: The list of packages. Can be an array [ 'ipmitool', 'openipmi' ].
* `modules_list`: The modules list to load at boot time.
* `modules_file_path`: The configuration file will contain the modules list. Defaults to '/etc/modules-load.d/ipmi.conf'.
* `modules_file_content`: Template file to use to generate the previous configuration file. Defaults to 'ipmi/ipmi_modules.conf.erb'.
* `needed_module_name`: The module it's necessary to load one time to be able to use ipmi devices.


Limitations
-----------

This module will work only on Debian 7.x versions and maybe on Debian 8.x (to test).

Development
-----------

Free to send contributions, fork it, ...

License
-------

WTFPL (http://wtfpl.org/)


