# == Class: ipmi
#
# This class manage all IPMI subclasses (install, config, service, ...).
#
# === Parameters
#
# Document parameters here.
#
# [*sample_parameter*]
#   Explanation of what this parameter affects and what it defaults to.
#   e.g. 'Specify one or more upstream ntp servers as an array.'
#
# === Variables
#
# Here you should define a list of variables that this module would require.
#
# [*sample_variable*]
#   Explanation of how this variable affects the funtion of this class and if
#   it has a default. e.g. 'The parameter enc_ntp_servers must be set by the
#   External Node Classifier as a comma separated list of hostnames.' (Note,
#   global variables should be avoided in favor of class parameters as
#   of Puppet 2.6.)
#
# === Examples
#
#  class { 'ipmi':
#  }
#
# === Authors
#
# Gardouille <gardouille@gmail.com>
#
# === Copyright
#
# WTFPL <http://wtfpl.org/>
#
#
class ipmi (
  $pkg_ensure                 = $ipmi::params::pkg_ensure,
  $pkg_name                   = $ipmi::params::pkg_name,
  $modules_list               = $ipmi::params::modules_list,
  $modules_file_path          = $ipmi::params::modules_file_path,
  $modules_file_content       = $ipmi::params::modules_file_content,
  $needed_module_name         = $ipmi::params::needed_module_name,
) inherits ipmi::params {

  include '::ipmi::install'
  include '::ipmi::config'

  Class['ipmi::install'] ->
  Class['ipmi::config']

} # Public class: ipmi
