# == Class: ipmi::params
#
class ipmi::params {
  case $::osfamily {
    'Debian': {
      if $::operatingsystem == 'Debian' and versioncmp($::operatingsystemrelease, '7.0') >= 0 {
        # Packages
        $pkg_ensure                 = 'present'
        $pkg_name                   = [ 'ipmitool' ]

        # Modules
        $modules_list               = [ 'ipmi_devintf', 'ipmi_si', 'ipmi_msghandler' ]
        $modules_file_path          = '/etc/modules-load.d/ipmi.conf'
        $modules_file_content       = 'ipmi/ipmi_modules.conf.erb'
        # The module name to load manually the first time
        $needed_module_name         = 'ipmi_devintf'

      }
    }
    default: {
      fail("IPMI module was only tested on Debian system; osfamily (${::osfamily}) or lsbdistid (${::lsbdistid}) is unsupported")
    }
  }
} # Private class: ipmi::params
